---
name: Doc issue
about: Create an issue to help us improve
---

# Before you open an issue

If the issue is with an ASP.NET Core document, open the issue with the **Content feedback** button at the bottom of that document page.

If the issue is:

- A simple typo or similar correction, you can submit a PR. See [the contributor guide](https://docs.microsoft.com/contribute/#quick-edits-to-existing-documents) for instructions.
- A general support question, consider asking on a support forum site.
- A site design concern, create an issue at [MicrosoftDocs/Feedback](https://github.com/MicrosoftDocs/Feedback/issues/new/choose).
- A problem completing a tutorial, compare your code with the completed sample.
- A duplicate of an open or closed issue, leave a comment on that issue.

# Issue description

{ description here }

# Software versions

Check the .NET target framework(s) being used, and include the version number(s).

- [ ] .NET Core
- [ ] .NET Framework
- [ ] .NET Standard

If using the .NET Core SDK, include `dotnet --info` output. If using .NET Framework without the .NET Core SDK, include info from Visual Studio's **Help** > **About Microsoft Visual Studio** dialog.

<details>
<summary><strong>dotnet --info output</strong> or <strong>About VS info</strong></summary>

```console
<replace>
```
</details>
