---
title: Microsoft identity platform and Azure Active Directory with ASP.NET Core
author: rick-anderson
description: Discover topics related to authentication with Microsoft identity platform Azure Active Directory for web apps and APIs in ASP.NET Core.
ms.author: riande
ms.date: 01/21/2020
ms.custom: "mvc, seodec18"
no-loc: [Blazor, "Identity", "Let's Encrypt", Razor, SignalR]
uid: security/authentication/azure-active-directory/index
---
# Azure Active Directory with ASP.NET Core

These tutorials and samples demonstrate authentication in ASP.NET Core using Microsoft identity platform and Azure Active Directory. For additional tutorials and samples using ASP.NET Core with Azure AD, see [Microsoft identity platform](/azure/active-directory/develop/).

## Application Scenarios

* [Quickstart: Add sign-in with Microsoft to an ASP.NET Core web app](/azure/active-directory/develop/quickstart-v2-aspnet-core-webapp)
* [Web app that signs in users](/azure/active-directory/develop/scenario-web-app-sign-user-overview?tabs=aspnetcore)
* [Web app that calls web APIs](/azure/active-directory/develop/scenario-web-app-call-api-overview)
* [Protected web API](/azure/active-directory/develop/scenario-protected-web-api-overview)
* [Web API that calls other web APIs](/azure/active-directory/develop/scenario-web-api-call-api-overview)
* [Web app that signs in users with Azure AD B2C](xref:security/authentication/azure-ad-b2c)

## Samples

* [Enable your ASP.NET Core app to sign-in users and call web APIs using Azure AD V2](/samples/azure-samples/active-directory-aspnetcore-webapp-openidconnect-v2/enable-webapp-signin/): 
  * See [this associated video](https://channel9.msdn.com/Events/Build/2018/THR5001)

* [Calling an ASP.NET Core 2.0 Web API from a WPF application using Azure AD V2](/samples/azure-samples/active-directory-dotnet-native-aspnetcore-v2/calling-an-aspnet-core-web-api-from-a-wpf-application-using-azure-ad-v2/): 
  * See [this associated video](https://channel9.msdn.com/Events/Build/2018/THR5000)

* [An ASP.NET Core web API with Azure AD B2C](https://azure.microsoft.com/resources/samples/active-directory-b2c-dotnetcore-webapi/)
