﻿using Microsoft.AspNetCore.Cors;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Docs.Samples;

namespace WebAPI.Controllers
{
    #region snippet2
    [Route("api/[controller]")]
    [ApiController]
    public class TodoItems1Controller : ControllerBase
    {
        // PUT: api/TodoItems1/5
        [HttpPut("{id}")]
        public IActionResult PutTodoItem(int id)
        {
            if (id < 1)
            {
                return Content($"ID = {id}");
            }

            return ControllerContext.MyDisplayRouteInfo(id);
        }

        // Delete: api/TodoItems1/5
        [HttpDelete("{id}")]
        public IActionResult MyDelete(int id) =>
            ControllerContext.MyDisplayRouteInfo(id);

        // GET: api/TodoItems1
        [HttpGet]
        public IActionResult GetTodoItems() =>
            ControllerContext.MyDisplayRouteInfo();

        [EnableCors]
        [HttpGet("{action}")]
        public IActionResult GetTodoItems2() =>
            ControllerContext.MyDisplayRouteInfo();

        // Delete: api/TodoItems1/MyDelete2/5
        [EnableCors]
        [HttpDelete("{action}/{id}")]
        public IActionResult MyDelete2(int id) =>
            ControllerContext.MyDisplayRouteInfo(id);
    }
    #endregion
}