---
title: Data Protection configuration in ASP.NET Core
author: rick-anderson
description: Discover topics that explain how to configure Data Protection in ASP.NET Core.
ms.author: riande
ms.date: 10/12/2017
no-loc: [Blazor, "Identity", "Let's Encrypt", Razor, SignalR]
uid: security/data-protection/configuration/index
---
# Data Protection configuration in ASP.NET Core

Visit these topics to learn about Data Protection configuration in ASP.NET Core:

* [Configure ASP.NET Core Data Protection](xref:security/data-protection/configuration/overview)  
  An overview on configuring ASP.NET Core Data Protection.

* [Data Protection key management and lifetime](xref:security/data-protection/configuration/default-settings)  
  Information on Data Protection key management and lifetime.

* [Data Protection machine-wide policy support](xref:security/data-protection/configuration/machine-wide-policy)  
  Details on setting a default machine-wide policy for all apps that use Data Protection.

* [Non-DI aware scenarios for Data Protection in ASP.NET Core](xref:security/data-protection/configuration/non-di-scenarios)  
  How to use the [DataProtectionProvider](/dotnet/api/Microsoft.AspNetCore.DataProtection.DataProtectionProvider) concrete type to use Data Protection without going through DI-specific code paths.
