---
title: "ASP.NET Core docs: What's new for November 2019"
description: "What's new in ASP.NET Core docs for November 2019."
ms.date: 01/21/2020
---

# ASP.NET Core docs: What's new for November 2019

Welcome to what's new in ASP.NET Core docs for November 2019. This article lists some of the major changes to docs during this period.

## Blazor

### New articles

- [ASP.NET Core Blazor lifecycle](../blazor/lifecycle.md) - Add doc for Blazor lifecycle methods
- [ASP.NET Core Blazor templates](../blazor/templates.md) - Add doc for Blazor project templates and project structure

### Updated articles

- [Create and use ASP.NET Core Razor components](../blazor/components.md) - Priority 0/1 Blazor Updates
- [ASP.NET Core Blazor forms and validation](../blazor/forms-validation.md) - Blazor form validation updates: nested models and custom attributes

## Fundamentals

### Updated articles

- [Use multiple environments in ASP.NET Core](../fundamentals/environments.md) - Startup/environment guidance updates
- [Make HTTP requests using IHttpClientFactory in ASP.NET Core](../fundamentals/http-requests.md)
  - Prepare IHttpClientFactory doc for ASP.NET Core 3.0 update
  - Update IHttpClientFactory doc snippets to use System.Text.Json
- [Logging in .NET Core and ASP.NET Core](../fundamentals/logging/index.md)
  - Surface the Program class logging pattern
  - dotnet trace for the Event Source Provider

## Migration

### New articles

- [Migrate from ASP.NET Core 3.0 to 3.1](../migration/30-to-31.md) - Add ASP.NET Core 3.0-to-3.1 migration doc

## MVC

### Updated articles

- [Share controllers, views, Razor Pages and more with Application Parts in ASP.NET Core](../mvc/advanced/app-parts.md) - App parts get ready for 3.0
- [Model validation in ASP.NET Core MVC and Razor Pages](../mvc/models/validation.md) - Update Validation for 3.0.

## Performance

### New articles

- [Memory management and garbage collection (GC) in ASP.NET Core](../performance/memory.md) - Memory management and patterns in ASP.NET Core

## Security

### New articles

- [Overview of ASP.NET Core authentication](../security/authentication/index.md) - Add an authentication overview doc

### Updated articles

- [Configure certificate authentication in ASP.NET Core](../security/authentication/certauth.md) - Add detail on certificate authentication in Azure Web Apps, certificate generation, and HttpClient with a certificate
- [Policy-based authorization in ASP.NET Core](../security/authorization/policies.md) - Update policy-based authorization doc for ASP.NET Core 3.0
- [Azure Key Vault Configuration Provider in ASP.NET Core](../security/key-vault-configuration.md) - Update AKV configuration provider to 3.0

## SignalR

### Updated articles

- [Differences between ASP.NET SignalR and ASP.NET Core SignalR](../signalr/version-differences.md) - Update ASP.NET Core 3.0 SignalR JavaScript client package organization scope references to "@microsoft"

## Testing

### Updated articles

- [Integration tests in ASP.NET Core](../test/integration-tests.md) - Mock authentication and set environment

## Community contributors

The following people have contributed to ASP.NET Core docs in November 2019. Thank you! You can learn how to contribute by following the links under "Get involved" in the [what's new landing page](index.yml).

- [guardrex](https://github.com/guardrex) - Luke Latham
- [damienbod](https://github.com/damienbod) - damienbod
- [serpent5](https://github.com/serpent5) - Kirk Larkin
- [eslam-fakhry](https://github.com/eslam-fakhry) - Eslam Fakhry
- [UncleDave](https://github.com/UncleDave) - Dave Pringle
- [vit100](https://github.com/vit100) - Vitaliy Markitanov
- [c0g1t8](https://github.com/c0g1t8) - Gary Chan
- [hishamco](https://github.com/hishamco) - Hisham Bin Ateya
- [benbhall](https://github.com/benbhall) - benhall_io
- [ganchito55](https://github.com/ganchito55) - Jorge
- [javiercn](https://github.com/javiercn) - Javier Calvarro Nelson
- [Kamalkonar](https://github.com/Kamalkonar) - Kamalakannan Srinivasan
- [kosta-arnorsky](https://github.com/kosta-arnorsky) 
- [KuanWeiTW](https://github.com/KuanWeiTW) - Kuan-Wei Li
- [Ky7m](https://github.com/Ky7m) - Igor Fesenko
- [lol768](https://github.com/lol768) - Adam Williams
- [Marcel0024](https://github.com/Marcel0024) - Marcel
- [maxle5](https://github.com/maxle5) - Max Lefebvre
- [peterblazejewicz](https://github.com/peterblazejewicz) - Piotr Błażejewicz (Peter Blazejewicz)
- [poke](https://github.com/poke) - Patrick Westerhoff
- [spottedmahn](https://github.com/spottedmahn) - Michael DePouw
- [vanillajonathan](https://github.com/vanillajonathan) - Jonathan
