---
title: "ASP.NET Core docs: What's new for December 2019"
description: "What's new in ASP.NET Core docs for December 2019."
ms.date: 01/21/2020
---

# ASP.NET Core docs: What's new for December 2019

Welcome to what's new in ASP.NET Core docs for December 2019. This article lists some of the major changes to docs during this period.

## Blazor

### Updated articles

- [Create and use ASP.NET Core Razor components](../blazor/components.md) - Update Blazor "cshtml" code snippets to use "razor"

## Fundamentals

### New articles

- [Use ASP.NET Core APIs in a class library](../fundamentals/target-aspnetcore.md) - Add guidance for using ASP.NET Core APIs in libraries

### Updated articles

- [Use multiple environments in ASP.NET Core](../fundamentals/environments.md) - refactor env
- [ASP.NET Core Middleware](../fundamentals/middleware/index.md) - refactor middleware monikers
- [App startup in ASP.NET Core](../fundamentals/startup.md) - startup MD fix monikers

## MVC

### Updated articles

- [Filters in ASP.NET Core](../mvc/controllers/filters.md) - Filter refactor for 3.1
- [Model Binding in ASP.NET Core](../mvc/models/model-binding.md) - Prepare for Model Binding 3.x.

## Razor Pages

### Updated articles

- [Filter methods for Razor Pages in ASP.NET Core](../razor-pages/filter.md) - Refactor monikers for 3.1 update

## Release notes

### New articles

- [What's new in ASP.NET Core 3.1](../release-notes/aspnetcore-3.1.md) - Add doc for what's new in ASP.NET Core 3.1

## Security

### New articles

- [Working with SameSite cookies in ASP.NET Core](../security/samesite.md) - Add doc for working with SameSite cookies in ASP.NET Core

### Updated articles

- [Configure certificate authentication in ASP.NET Core](../security/authentication/certauth.md) - CertAuth topic code block improvements
- [Scaffold Identity in ASP.NET Core projects](../security/authentication/scaffold-identity.md) - refactor scaffold Identity

## SignalR

### Updated articles

- [ASP.NET Core SignalR configuration](../signalr/configuration.md) - Cleaned up moniker versioning for ASP.NET Core SignalR configuration

## Community contributors

The following people have contributed to ASP.NET Core docs in December 2019. Thank you! You can learn how to contribute by following the links under "Get involved" in the [what's new landing page](index.yml).

- [guardrex](https://github.com/guardrex) - Luke Latham
- [serpent5](https://github.com/serpent5) - Kirk Larkin
- [doggy8088](https://github.com/doggy8088) - Will 保哥
- [ahmad2smile](https://github.com/ahmad2smile) - Shafiq Ahmad
- [ATLSAPI](https://github.com/ATLSAPI) - Melvin Iwuajoku
- [BlancHeart](https://github.com/BlancHeart) 
- [davidkaya](https://github.com/davidkaya) - Dávid Kaya
- [fiyazbinhasan](https://github.com/fiyazbinhasan) - Fiyaz Bin Hasan
- [imba-tjd](https://github.com/imba-tjd) - 谭九鼎
- [jasonleenaylor](https://github.com/jasonleenaylor) - Jason Naylor
- [reisenberger](https://github.com/reisenberger) - Dylan Reisenberger
- [RLittlesII](https://github.com/RLittlesII) - Rodney Littles II
- [uteschj](https://github.com/uteschj) 
