---
title: "ASP.NET Core docs: What's new for February 2020"
description: "What's new in ASP.NET Core docs for February 2020."
ms.date: 03/02/2020
---

# ASP.NET Core docs: What's new for February 2020

This article lists some of the significant changes to docs during this period.

## Blazor

### New articles

- [ASP.NET Core Blazor advanced scenarios](../blazor/advanced-scenarios.md)
  - Split Blazor JS Interop topic
  - Split Razor Components topic
- [Call .NET methods from JavaScript functions in ASP.NET Core Blazor](../blazor/call-dotnet-from-javascript.md) - Split Blazor JS Interop topic
- [Call JavaScript functions from .NET methods in ASP.NET Core Blazor](../blazor/call-javascript-from-dotnet.md) - Split Blazor JS Interop topic
- [ASP.NET Core Blazor data binding](../blazor/data-binding.md) - Split Razor Components topic
- [ASP.NET Core Blazor event handling](../blazor/event-handling.md) - Split Razor Components topic
- [ASP.NET Core Blazor globalization and localization](../blazor/globalization-localization.md) - Split Razor Components topic
- [ASP.NET Core Blazor hosting model configuration](../blazor/hosting-model-configuration.md) - Split out advanced Blazor hosting model content
- [Integrate ASP.NET Core Razor components into Razor Pages and MVC apps](../blazor/integrate-components.md) - Split Razor Components topic
- [ASP.NET Core Blazor templated components](../blazor/templated-components.md) - Split Razor Components topic

### Updated articles

- [ASP.NET Core Blazor advanced scenarios](../blazor/advanced-scenarios.md)
  - Split Blazor JS Interop topic
  - Split Razor Components topic
- [Create and use ASP.NET Core Razor components](../blazor/components.md) - Blazor binding content and layout updates
- [ASP.NET Core Blazor advanced scenarios](../blazor/advanced-scenarios.md) - Add content for performing large data transfers in Blazor Server apps

## Fundamentals

### Updated articles

- [Session and app state in ASP.NET Core](../fundamentals/app-state.md) - App state prep
- [Configuration in ASP.NET Core](../fundamentals/configuration/index.md) - Apply versioning to entire doc
- [HTTP.sys web server implementation in ASP.NET Core](../fundamentals/servers/httpsys.md) - Apply versioning to entire doc

## gRPC

### Updated articles

- [Logging and diagnostics in gRPC on .NET](../grpc/diagnostics.md) - Add gRPC diagnostics content

## Hosting and deployment

### Updated articles

- [Common errors reference for Azure App Service and IIS with ASP.NET Core](../host-and-deploy/azure-iis-errors-reference.md) - Apply versioning to entire doc
- [Development-time IIS support in Visual Studio for ASP.NET Core](../host-and-deploy/iis/development-time-iis-support.md) - Apply versioning to entire doc
- [Host ASP.NET Core on Windows with IIS](../host-and-deploy/iis/index.md) - Apply versioning to entire doc
- [Host and deploy ASP.NET Core](../host-and-deploy/index.md) - Apply versioning to entire doc
- [Configure ASP.NET Core to work with proxy servers and load balancers](../host-and-deploy/proxy-load-balancer.md) - Apply versioning to entire doc
- [Host ASP.NET Core in a Windows Service](../host-and-deploy/windows-service.md) - Apply versioning to entire doc

## MVC

### Updated articles

- [Areas in ASP.NET Core](../mvc/controllers/areas.md) - Prepare areas for dual monikers

## Performance

### Updated articles

- [Distributed caching in ASP.NET Core](../performance/caching/distributed.md) - Apply versioning to entire doc
- [Response Caching Middleware in ASP.NET Core](../performance/caching/middleware.md) - Apply versioning to entire doc
- [Response compression in ASP.NET Core](../performance/response-compression.md) - Apply versioning to entire doc

## Razor Pages

### Updated articles

- [Razor Pages route and app conventions in ASP.NET Core](../razor-pages/razor-pages-conventions.md) - Apply versioning to entire doc

## Security

### New articles

- [ASP.NET Core 2.1 MVC SameSite cookie sample](../security/samesite/mvc21.md) - Add new doc and sample for ASP.NET Core 2.1 MVC with SameSite cookies
- [ASP.NET Core 2.1 Razor Pages SameSite cookie sample](../security/samesite/rp21.md) - Add new doc and sample for ASP.NET Core 2.1 Razor Pages with SameSite cookies
- [ASP.NET Core 3.1 Razor Pages SameSite cookie sample](../security/samesite/rp31.md) - Add new doc and sample for ASP.NET Core 3.1 Razor Pages with SameSite cookies

### Updated articles

- [Azure Key Vault Configuration Provider in ASP.NET Core](../security/key-vault-configuration.md) - Apply versioning to entire doc

## Testing

### Updated articles

- [Troubleshoot ASP.NET Core on Azure App Service and IIS](../test/troubleshoot-azure-iis.md) - Apply versioning to entire doc

## Tutorials

### New articles

- [Use ASP.NET Core SignalR with Blazor WebAssembly](../tutorials/signalr-blazor-webassembly.md) - Add new doc for using ASP.NET Core SignalR with Blazor WebAssembly

### Updated articles

- [Use ASP.NET Core SignalR with TypeScript and Webpack](../tutorials/signalr-typescript-webpack.md) - Update tutorial for Visual Studio 2019 and ASP.NET Core 3.1

## Community contributors

The following people have contributed to ASP.NET Core docs in February 2020. Thank you! You can learn how to contribute by following the links under "Get involved" in the [what's new landing page](index.yml).

- [serpent5](https://github.com/serpent5) - Kirk Larkin (6)
- [alan-agius4](https://github.com/alan-agius4) - Alan Agius (1)
- [damienbod](https://github.com/damienbod) - damienbod (1)
- [ishchenkoviacheslav](https://github.com/ishchenkoviacheslav) (1)
- [mariocatch](https://github.com/mariocatch) - mariocatch (1)
- [martinmladenov](https://github.com/martinmladenov) - Martin Mladenov (1)
- [Marusyk](https://github.com/Marusyk) - Roman Marusyk (1)
- [MintPlayer](https://github.com/MintPlayer) (1)
- [mohsinnasir](https://github.com/mohsinnasir) - Mohsin Nasir (1)
- [ovebastiansen](https://github.com/ovebastiansen) (1)
- [PureKrome](https://github.com/PureKrome) - Pure Krome (1)
- [reidhaegele](https://github.com/reidhaegele) - Reid H. (1)
- [RobJohnston](https://github.com/RobJohnston) - Rob Johnston (1)
- [simskij](https://github.com/simskij) - Simon Aronsson (1)
- [sopes](https://github.com/sopes) (1)
