---
title: "ASP.NET Core docs: What's new for March 2020"
description: "What's new in ASP.NET Core docs for March 2020."
ms.date: 04/01/2020
---

# ASP.NET Core docs: What's new for March 2020

This article lists some of the significant changes to docs during this period.

## Blazor

### New articles

- [Build Progressive Web Applications with ASP.NET Core Blazor WebAssembly](../blazor/progressive-web-app.md) - Blazor WASM PWA support

### Updated articles

- [ASP.NET Core Blazor dependency injection](../blazor/dependency-injection.md) - Expand OwningComponentBase docs
- [Call .NET methods from JavaScript functions in ASP.NET Core Blazor](../blazor/call-dotnet-from-javascript.md) - Enhance Blazor JS Interop coverage
- [Debug ASP.NET Core Blazor WebAssembly](../blazor/debug.md) - Blazor WASM debug topic updates for 3.2 Preview 3

## Fundamentals

### Updated articles

- [.NET Generic Host](../fundamentals/host/generic-host.md) - Explain how to disable app config reload in ASP.NET Core 5.0
- [Configuration in ASP.NET Core](../fundamentals/configuration/index.md) - Rewrite the entire doc
- [Dependency injection in ASP.NET Core](../fundamentals/dependency-injection.md) - Update Disposal section and versioning in DI topic
- [Routing in ASP.NET Core](../fundamentals/routing.md) - Rewrite the entire doc for ASP.NET Core 3.x

## Migration

### New articles

- [Migrate from ASP.NET Core 3.1 to 5.0](../migration/31-to-50.md) - Document migration from ASP.NET Core 3.1 to 5.0

## MVC

### New articles

- [Component Tag Helper in ASP.NET Core](../mvc/views/tag-helpers/built-in/component-tag-helper.md) - Add Component Tag Helper doc to explain rendering Razor components in pages and views

### Updated articles

- [Routing to controller actions in ASP.NET Core](../mvc/controllers/routing.md) - Rewrite the entire doc for ASP.NET Core 3.x

## Security

### New articles

- [ASP.NET Core Blazor WebAssembly additional security scenarios](../security/blazor/webassembly/additional-scenarios.md) - Blazor WebAssembly auth documentation
- [Enforce a Content Security Policy for ASP.NET Core Blazor](../security/blazor/content-security-policy.md) - Blazor Content Security Policy topic
- [Hosting ASP.NET Core images with Docker Compose over HTTPS](../security/docker-compose-https.md) - Hosting an ASP.NET Core image with Docker Compose
- [Multi-factor authentication in ASP.NET Core](../security/authentication/mfa.md) - Add new doc for multi-factor authentication in ASP.NET Core
- [Secure an ASP.NET Core Blazor WebAssembly hosted app with Azure Active Directory](../security/blazor/webassembly/hosted-with-azure-active-directory.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly hosted app with Azure Active Directory B2C](../security/blazor/webassembly/hosted-with-azure-active-directory-b2c.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly hosted app with Identity Server](../security/blazor/webassembly/hosted-with-identity-server.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly standalone app with Azure Active Directory](../security/blazor/webassembly/standalone-with-azure-active-directory.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly standalone app with Azure Active Directory B2C](../security/blazor/webassembly/standalone-with-azure-active-directory-b2c.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly standalone app with Microsoft Accounts](../security/blazor/webassembly/standalone-with-microsoft-accounts.md) - Blazor WebAssembly auth documentation
- [Secure an ASP.NET Core Blazor WebAssembly standalone app with the Authentication library](../security/blazor/webassembly/standalone-with-authentication-library.md) - Blazor WebAssembly auth documentation
- [Secure ASP.NET Core Blazor WebAssembly](../security/blazor/webassembly/index.md) - Blazor WebAssembly auth documentation

## Community contributors

The following people have contributed to ASP.NET Core docs in March 2020. Thank you! You can learn how to contribute by following the links under "Get involved" in the [what's new landing page](index.yml).

- [serpent5](https://github.com/serpent5) - Kirk Larkin (4)
- [PickNickChock](https://github.com/PickNickChock) - Nick (2)
- [chrissainty](https://github.com/chrissainty) - Chris Sainty (1)
- [damienbod](https://github.com/damienbod) - damienbod (1)
- [devlead](https://github.com/devlead) - Mattias Karlsson (1)
- [ericmutta](https://github.com/ericmutta) - Eric Mutta (1)
- [Faulknerd](https://github.com/Faulknerd) - Faulkner D (1)
- [jerriep](https://github.com/jerriep) - Jerrie Pelser (1)
- [khalidabuhakmeh](https://github.com/khalidabuhakmeh) - Khalid Abuhakmeh (1)
- [MaiReo](https://github.com/MaiReo) - MaiReo (1)
- [SeanStove](https://github.com/SeanStove) - Sean Stove (1)
- [timbze](https://github.com/timbze) (1)
- [Vuurwarm](https://github.com/Vuurwarm) (1)
