---
title: "ASP.NET Core docs: What's new for April 2020"
description: "What's new in ASP.NET Core docs for April 2020."
ms.date: 05/01/2020
---

# ASP.NET Core docs: What's new for April 2020

This article lists some of the significant changes to docs during this period.

## Blazor

### Updated articles

- [Create and use ASP.NET Core Razor components](../blazor/components.md) - Surface warning/approach for component state
- [ASP.NET Core Blazor hosting model configuration](../blazor/hosting-model-configuration.md) - Document Blazor WASM support for using configuration values in startup logic

## gRPC

### Updated articles

- [Call gRPC services with the .NET client](../grpc/client.md) - Update gRPC client docs with trailer information

## MVC

### Updated articles

- [Razor file compilation in ASP.NET Core](../mvc/views/view-compilation.md) - Adapt Razor runtime compilation guidance to changes made in ASP.NET Core 3.1

## Security

### Updated articles

- [Add, download, and delete custom user data to Identity in an ASP.NET Core project](../security/authentication/add-user-data.md) - Adding additional claims to Identity
- [ASP.NET Core Blazor authentication and authorization](../security/blazor/index.md) - Improvements to Blazor auth coverage
- [Secure ASP.NET Core Blazor Server apps](../security/blazor/server/index.md) - Improvements to Blazor auth coverage
- [ASP.NET Core Blazor WebAssembly additional security scenarios](../security/blazor/webassembly/additional-scenarios.md)
  - Apply Blazor Preview 5 updates
  - Move two Blazor WASM Overview sections
- [Secure ASP.NET Core Blazor WebAssembly](../security/blazor/webassembly/index.md) - Improvements to Blazor auth coverage
- [Enable Cross-Origin Requests (CORS) in ASP.NET Core](../security/cors.md)
  - Rewrite entire doc and update for ASP.NET Core 3.1
  - Provide links to Azure apps for testing CORS
- [Client IP safelist for ASP.NET Core](../security/ip-safelist.md) - Update client IP address safelist doc and app for ASP.NET Core 3.1

## SignalR

### Updated articles

- [ASP.NET Core SignalR configuration](../signalr/configuration.md) - Document the MinimumProtocolVersion property used for advanced SignalR HTTP configuration
- [Use MessagePack Hub Protocol in SignalR for ASP.NET Core](../signalr/messagepackhubprotocol.md) - Update MessagePack docs for 5.0

## Community contributors

The following people have contributed to ASP.NET Core docs in April 2020. Thank you! You can learn how to contribute by following the links under "Get involved" in the [what's new landing page](index.yml).

- [serpent5](https://github.com/serpent5) - Kirk Larkin (11)
- [HamidMolareza](https://github.com/HamidMolareza) - Hamid Molareza (3)
- [MelbourneDeveloper](https://github.com/MelbourneDeveloper) - Christian Findlay (3)
- [inouiw](https://github.com/inouiw) - David New (2)
- [kurtfurbush](https://github.com/kurtfurbush) - Kurt Furbush (2)
- [rdeveen](https://github.com/rdeveen) - R. de Veen (2)
- [wenhx](https://github.com/wenhx) - wenhx (2)
- [brgrz](https://github.com/brgrz) - Marko Hrovatic (1)
- [damienbod](https://github.com/damienbod) - damienbod (1)
- [DrakeLambert](https://github.com/DrakeLambert) - Drake Lambert (1)
- [kkbruce](https://github.com/kkbruce) - Bruce Chen (1)
- [KyleMit](https://github.com/KyleMit) - Kyle (1)
- [Marcel0024](https://github.com/Marcel0024) - Marcel (1)
- [MohamedSahbi](https://github.com/MohamedSahbi) - Mohamed Sahbi (1)

Want to contribute to the ASP.NET Core docs? Read our [contribution guidelines](https://github.com/dotnet/AspNetCore.Docs/blob/master/CONTRIBUTING.md).
